//  Fonctions de lecture des commandes et d'exécution des entrées au moniteur série

//  Fonction de lecture des commandes entrées
void lectureCommande() {
  //  Condition nécéssaire à la lecture des commandes envoyées
  if (Serial.available() > 0) {
    //  La variable "commande" enregistre la valeur de l'entrée
    commande = Serial.readString();
    //  La fonction prédéfinie "trim" permet de rendre comparable la valeur de la variable commande
    commande.trim();
    //  Affichage de la commande entrée
    sps("'"); sps(commande); sps("'"); spln();
    //  Conditions de vérifications de la commande entrée de manière à lancer la fonction relative à la commande
    if      (commande == "red") { red(); }
    else if (commande == "vms") { vms(); }
    else if (commande == "com") { com(); }
    else if (commande == "hum") { humidite = releveHumidite(); }
    else if (commande == "lum") { lumiere = releveLumiere(); }
    else if (commande == "tem") { temperature = releveTemperature(); }
    //else if (commande == "env") { envoi(); }
    else if (commande == "pnc") { pnc(); }
    //  Condition de commande non reprise
    else                        { invalide(); }
  }
}

//  Fonction de redémarrage
void red() {
  //  Affichage du message
  sps("Redémarrage en cours"); spln();
  Serial.end();
  //  Attente nécéssaire pour le bon déroulement du redémarrage
  //  Redémarrage manuel en appelant les fonctions prédéfinies "setup" et "loop"
  setup();
  loop();
}

//  Fonction permettant de tester la bonne lecture des commandes entrées
void vms() {
  sps("Le moniteur série reçoit correctement les données entrées"); spln();
}

//  Fonction permettant d'afficher la liste des commandes qu'il est possible d'utiliser
void com() {
  //  Affichage des messages
  sps("Liste des commandes disponibles"); spln();
  sps("red - Redémarre le programme"); spln();
  sps("hum - Procède à un relevé de l'humidité"); spln();
  sps("lum - Procède à un relevé de la lumière"); spln();
  sps("tem - Procède à un relevé de la température"); spln();
  //sps("env - Procède à un un envoi des dernières valeurs relevées sur le serveur distant"); spln();
  sps("pnc - Crédits"); spln();
}

void mat() {}
void res() {}
void icr() {}

//  Fonction de crédits
void pnc() {
  //  Affichage du message
  sps("Copyleft 2019, Allan Tsingos"); spln();
}

//  Fonction renvoyant à l'utilisateur que la commande entrée n'existe pas
void invalide() {
  //  Affichage des messages
  sps("Commande invalide"); spln();
  sps("Pour vérifier la réception des données entrées au moniteur série, tapez 'vms'"); spln();
  sps("Pour afficher une liste détaillée des commandes disponibles, tapez 'com'"); spln();
}
