//  Fonctions permetant la connexion et l'envoi de données à partir d'un réseau WiFi existant

//  Fonction de connexion à un réseau WiFi existant
void connexion() {
  ledOn();
  //  Réinitialisation du module WiFi
  sps("AT+RST"); spln();
  //  Déclaration du mode de fonctionnement
  //  1 = Station Mode, accès à un réseau existant
  //  2 = Access Point, création d'un nouveau réseau
  //  3 = Les deux modes sont utilisés conjointement
  sps("AT+CWMODE_DEF=1"); spln();
  //  Connexion au SSID avec la clé de connexion associée
  sps("AT+CWJAP_DEF=\"" + nom + "\",\"" + cle + "\""); spln();
  ledOff();
}

//  Fonction d'envoi des valeurs captées vers l'API distante
void envoi() {
  ledOn();
  sps("Début de l'envoi des données sur le serveur distant");
//  sps("AT+CIPMODE=0\r\n");
//  sps("AT+CIPMUX=1\r\n");
//  sps("AT+CIPSTART=4,\"TCP\",\"plant-n-co.be\",80\r\n");
//  sps("AT+CIPSEND=4,89\r\n");
//  sps("AT+CIPSEND=\"GET ?sensorID=2&humidity=20&light=20&temperature=20 HTTP/1.1\r\nHost: plant-n-co.be/api/survey/addByGet\r\n\r\n");
  Process curl;
  curl.begin("curl");
  String parametre = "-X GET --header 'Accept: application/json' 'https://plant-n-co.be/api/survey/addByGet?sensorID="+String(id)+"&humidity="+String(humidite)+"&light="+String(lumiere)+"&temperature="+String(temperature)+"'";
  curl.addParameter(parametre);
  curl.run();
  curl.close();
  sps("Fin de l'envoi des données sur le serveur distant");
  ledOff();
}
